.land-wrapper {
    font-family: 'Source Sans Pro', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background: #d2d6de;
    width: 100%;
    min-height: 100%;
    position: absolute;
}

.land-top {
    margin-bottom: 35px;
}

.land-wrapper h1 {
    margin-top: 0 !important;
    font-size: 48pt;
    text-shadow: 2px 2px 5px rgba(150, 150, 150, 1);
    color: #3c8dbc;
}

.land-wrapper h3 {
    margin-top: 0 !important;
    font-size: 20pt;
    font-weight: bold;
    text-shadow: 2px 2px 5px rgba(150, 150, 150, 1);
    color: #000000;
}

.land-btn {
    font-weight: bold;
}

.land-header {
    margin-bottom: 20px;
}

.no-style-btn {
    font-size: 100%;
    border: 0;
    padding: 0;
    background-color: white;
}

.text-underline {
    text-decoration: underline;
}

.tooltipDiv {
    border-style: solid;
    border-width: 1px;
    padding: 10px;
    margin: 5px 0px;

}


/*
 *	D3JS Stuff
 */

.node-mock {
    visibility: hidden;
}

.node {
    cursor: pointer;
}

.active-element {
    stroke: #000000;
    stroke-width: 1px;
}

.empty-element {
    stroke: #AB0000;
    stroke-width: 1px;
}

.node--leaf {
    fill: white;
}

.node:hover {
    stroke: #000;
    stroke-width: 2px;
}

.label {
    font: 18px "Source Sans Pro", Helvetica, Arial, sans-serif;
    font-weight: bold;
    text-anchor: middle;
    text-shadow: 0 1px 0 #fff, 1px 0 0 #fff, -1px 0 0 #fff, 0 -1px 0 #fff;
}

.label-sm {
    font: 10px "Source Sans Pro", Helvetica, Arial, sans-serif;
    text-anchor: middle;
    /*text-shadow: 0 1px 0 #fff, 1px 0 0 #fff, -1px 0 0 #fff, 0 -1px 0 #fff;*/
}

.node--root,
.node--leaf {
    /*pointer-events: none;*/
}

div.tooltip {
    position: absolute;
    text-align: center;
    padding: 5px;
    background: rgba(0, 0, 0, 0.75);
    color: rgba(255, 255, 255, 1);
    border: 0;
    border-radius: 5px;
    pointer-events: none;
}

.svg-container {
    display: inline-block;
    position: relative;
    width: 50%;
    padding-bottom: 50%; /* aspect ratio */
    vertical-align: middle;
    overflow: hidden;
}

.svg-content-responsive {
    display: inline-block;
    position: absolute;
    top: 0;
    left: 0;
}

.public-wrapper {
    background: #d2d6de;
    width: 100%;
    height: 100%;
    z-index: 10;
    top: 0;
    left: 0;
    position: fixed;
}

.navtree {
    margin-bottom: 0;
    background-color: transparent;
}

.custom-todo {
    margin-bottom: 5px;
}

.custom-todo > li {
    padding: 5px;
}

.action-icon {
    margin-left: 8px;
}

.special-header {
    margin-top: 0;
}

.add-button {
    padding-top: 10px;
}

.rightspace {
    margin-right: 12px;
}

.loadingoverlay {
    position: fixed;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    z-index: 10;
    background-color: rgba(0, 0, 0, 0.5);
}

/* angular input validation
input.ng-invalid.ng-dirty {
	border: 1px solid #dd4b39 !important;
}
input.ng-valid.ng-dirty {
	border: 1px solid #00a65a !important;
}
*/

@media (max-width: 767px) {
    .show-overflow {
    }
}

@media (min-width: 768px) {
    .show-overflow {
        overflow: visible;
    }
}

.bring-to-front {
    z-index: 1001;
}

.no-focus {
    opacity: 0.4;
}

.custom-overflow {
    width: 100%;
    overflow: auto !important;
}

.set-bold {
    font-weight: bold;
}

.same-height {
    display: inline-block;
    vertical-align: top;
}

.top-margin {
    margin-top: 10px;
}

.bottom-margin {
    margin-bottom: 15px;
}

.history-label {
    width: 60px;
    margin-right: 10px;
}

.history-table {
    margin-left: 15px;
}

.history-table td {
    vertical-align: top;
    padding-bottom: 5px;
}

.tensionList-Td-cell td {
    padding: 5px;
}


.tensionList-Td-cell:nth-child(even) {
    background-color: #f5f5f5;
}

.tensionList-editBtn {
    width: 85px;
    margin: 5px 0;
}


/*Style for custom checkboxed*/
.checkbox-container {
    display: block;
    position: relative;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 16px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    font-weight: 300;
}

.checkbox-container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
}

.checkmark {
    position: absolute;
    height: 20px;
    width: 20px;
    background-color: #eee;
    margin-left: 5px;
    top: 3px;
}

/* On mouse-over, add a grey background color */
.checkbox-container:hover input ~ .checkmark {
    background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.checkbox-container input:checked ~ .checkmark {
    background-color: #3c8dbc;
}

/* Create the checkmark/indicator (hidden when not checked) */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show the checkmark when checked */
.checkbox-container input:checked ~ .checkmark:after {
    display: block;
}

/* Style the checkmark/indicator */
.checkbox-container .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
}

/*Style for dropdowns*/
.dropdown-select {
    width: 20rem;
    background-color: #3c8dbc;
    color: white;
}

/* Star Rating */
.star-rating {
    font-size: 0;
    white-space: nowrap;
    display: inline-block;
    /* width: 250px; remove this */
    height: 20px;
    overflow: hidden;
    position: relative;
    background: url('data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4IiB3aWR0aD0iMjBweCIgaGVpZ2h0PSIyMHB4IiB2aWV3Qm94PSIwIDAgMjAgMjAiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDIwIDIwIiB4bWw6c3BhY2U9InByZXNlcnZlIj48cG9seWdvbiBmaWxsPSIjREREREREIiBwb2ludHM9IjEwLDAgMTMuMDksNi41ODMgMjAsNy42MzkgMTUsMTIuNzY0IDE2LjE4LDIwIDEwLDE2LjU4MyAzLjgyLDIwIDUsMTIuNzY0IDAsNy42MzkgNi45MSw2LjU4MyAiLz48L3N2Zz4=');
    background-size: contain;
}

.star-rating i {
    opacity: 0;
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    /* width: 20%; remove this */
    z-index: 1;
    background: url('data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjEiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIHg9IjBweCIgeT0iMHB4IiB3aWR0aD0iMjBweCIgaGVpZ2h0PSIyMHB4IiB2aWV3Qm94PSIwIDAgMjAgMjAiIGVuYWJsZS1iYWNrZ3JvdW5kPSJuZXcgMCAwIDIwIDIwIiB4bWw6c3BhY2U9InByZXNlcnZlIj48cG9seWdvbiBmaWxsPSIjRkZERjg4IiBwb2ludHM9IjEwLDAgMTMuMDksNi41ODMgMjAsNy42MzkgMTUsMTIuNzY0IDE2LjE4LDIwIDEwLDE2LjU4MyAzLjgyLDIwIDUsMTIuNzY0IDAsNy42MzkgNi45MSw2LjU4MyAiLz48L3N2Zz4=');
    background-size: contain;
}

.star-rating input {
    -moz-appearance: none;
    -webkit-appearance: none;
    opacity: 0;
    display: inline-block;
    /* width: 20%; remove this */
    height: 100%;
    margin: 0;
    padding: 0;
    z-index: 2;
    position: relative;
}

.star-rating input:hover + i,
.star-rating input:checked + i {
    opacity: 1;
}

.star-rating i ~ i {
    width: 40%;
}

.star-rating i ~ i ~ i {
    width: 60%;
}

.star-rating i ~ i ~ i ~ i {
    width: 80%;
}

.star-rating i ~ i ~ i ~ i ~ i {
    width: 100%;
}

::after,
::before {
    height: 100%;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    text-align: center;
    vertical-align: middle;
}

.star-rating.star-5 {
    width: 100px;
}

.star-rating.star-5 input,
.star-rating.star-5 i {
    width: 20%;
}

.star-rating.star-5 i ~ i {
    width: 40%;
}

.star-rating.star-5 i ~ i ~ i {
    width: 60%;
}

.star-rating.star-5 i ~ i ~ i ~ i {
    width: 80%;
}

.star-rating.star-5 i ~ i ~ i ~ i ~ i {
    width: 100%;
}

/*Form control overwrite*/
.form-control {
    padding-right: 6px !important;
}

/* TensionList tooltips */
.tensionList-tooltip {
    position: relative;
    display: inline-block;
}

.tensionList-tooltip .tensionList-tooltiptext {
    visibility: hidden;
    width: 170px;
    background-color: #555;
    /*background-color: #3c8dbc;*/
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 5px 0;
    position: absolute;
    z-index: 10000;
    bottom: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.3s;
    font-size: 12px;
}

.tensionList-tooltip .tensionList-tooltiptext::after {
    content: "";
    position: absolute;
    top: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #555 transparent transparent transparent;
}

.tensionList-tooltip:hover .tensionList-tooltiptext {
    visibility: visible;
    opacity: 1;
}

/*scrollbar*/

body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #F5F5F5;
    border-radius: 10px;
}

body::-webkit-scrollbar {
    width: 12px;
    background-color: #3c8dbc;
}

body::-webkit-scrollbar-thumb {
    background-color: #3c8dbc;
    border-radius: 10px;

    background-image: -webkit-gradient(linear, 0 0, 0 100%,
    color-stop(.5, rgba(255, 255, 255, .2)),
    color-stop(.5, transparent), to(transparent));
}

.scrollbar-tensionlist::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    background-color: #F5F5F5;
    width: 12px !important;
}

.scrollbar-tensionlist::-webkit-scrollbar {
    height: 10px;
    background-color: #3c8dbc;
}

.scrollbar-tensionlist::-webkit-scrollbar-thumb {
    background-color: #3c8dbc;

    background-image: -webkit-gradient(linear, 0 0, 0 100%,
    color-stop(.5, rgba(255, 255, 255, .2)),
    color-stop(.5, transparent), to(transparent));
}
.scrollbar-tensionlist {
    overflow-y: hidden;
}

@media (min-width: 1035px) {
    .scrollbar-tensionlist {
        overflow-x: hidden;
    }

}

@media (min-width: 850px) {
    table {
        table-layout: fixed;
        width: 100%;
    }

    table td {
        word-wrap: break-word; /* All browsers since IE 5.5+ */
        overflow-wrap: break-word; /* Renamed property in CSS3 draft spec */
    }

}

/* Search*/
.search-text {
    border: 1px solid #367fa9;
}

.search-result {
    /*display: none;*/
    position: absolute;
    background-color: #fff;
    z-index: 100;
    padding: 15px;
    border: 2px solid #3c8dbc;
    box-shadow: 0 14px 28px rgba(0, 0, 0, 0.25), 0 10px 10px rgba(0, 0, 0, 0.22);
}

.hide-search {
    display: none;
}

@media (max-width: 510px) {
    .search-result {
        position: relative;
    }
}

.search-result-close-btn {
    font-size: 25px;
    cursor: pointer;
    color: #3c8dbc;
    padding-top: 2px;
}

.group-addon-btn {
    border-right: 1px solid #d2d6de !important;
    border-left: 1px solid #d2d6de !important;
}

.input-group-addon-pd {
    padding: 0 5px;
}

/* MODAL customization*/

@media (min-width: 768px) {
    .modal-dialog {
        width: 800px;
        margin: 30px auto;
    }
}